# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'axon-http/version'
Gem::Specification.new do |spec|
  spec.name          = 'axon-http'
  spec.version       = AxonHttp::VERSION
  spec.authors       = ["Josh Glendenning"]
  spec.email         = ["joshglendenning@gmail.com"]

  spec.summary       = %q{Axon/NATS HTTP bridge.}
  spec.homepage      = "https://github.com/joshglendenning/axon-http"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']

  spec.bindir        = 'bin'
  spec.executables   = ['axon-http']

  spec.add_dependency 'thin', '~> 1.6'
  spec.add_dependency 'sinatra', '~> 1.4'
  spec.add_dependency 'async_sinatra', '~> 1.2'
  spec.add_dependency 'sinatra-cross_origin', '~> 0.3'
  spec.add_dependency 'axon-nats', '~> 0.2'
end
